[changes]
* The report server now also uses the data cache to reduce the database requests.
* It is now possible to customize of the start page.
* Authentication method LDAP Server added.
* Authentication method PAM added for Linux and Mac OS X.
* It is now possible to configure the error message of the HTML viewer with the file error.json in the startpage folder.
* New API method Engine.setData makes it possible to set the data for a single table, if the report contains more than one.
* Property "newline" now supported for CSV and DATA export.
* The HTML prompt request dialog does not open in Internet Explorer 11.

#### Changed Behavior
* Formula function "isNumeric" now returns false for Java type notation (tailing d or f).
* PDF export: Font name contains now one white space character between family name and style name.
* RTF export: Known fonts will be assigned to the corresponding character sets.
* It is no longer allowed to use methods of the Object class as user defined functions in a formula.
* A formula comparison of = will now yield null in any case, which is consistent with the SQL conversion of this expression.

### i-net Designer
* In addition to user defined functions(Java), user defined constants are supported now as well in the formula editor.
* Using the translator, it is now possible to translate the default value description of added parameter fields.
* Default properties in i-net Designer will now be applied to the fields in a new crosstab.
* Formula Editor: Feature "Search Text in Formulas" added. It can be used using the popup menu entry or shortcut CTRL+T.
* Shortcut "CTRL+E" added to a formula field for "Change Formula".
* It is supported to change the number of recently opened files list in Designer Options dialog. 

### Configuration Manager
* New properties for the data cache added to the cache category.
* New property "Font Mapping" for Postscript level 3 added.
* New command line parameter "-client.ip" for standalone configuration on headless server added.
* Login types "LDAP Server" and "PAM Authentication" added.
* The formula editor now has a text search which can be accessed by Ctrl+F.

### Setup
* Remote GUI classes extracted from file ClearReports.jar in new file RemoteGUI.jar.

### .Net Edition
* Now there is only one setup of the .Net Version of the i-net Clear Reports server. This setup combines the 32/64 bit version. It also supports Windows 8 (.Net 4.0).
* Zxing JavaBean added.
* Windows 8 with Microsoft .Net Framework 4.0 supported. No popup to install Microsoft .Net Framework 3.5 will show up anymore.
* Postgres database driver to the setup.
* The setup of the i-net Clear Reports .Net edition can be invoked in English or German.
* New API method Engine.SetData(String, Datatable) added.
* ASP.Net proxy sample added.

[changes:de]
* Der Berichtsserver nutzt nun auch den Datencache, um die Datenbankanfragen zu reduzieren.
* Es ist nun möglich, die Startseite anzupassen.
* Authentifizierungsmethode LDAP Server hinzugefügt.
* Authentifizierungsmethode PAM für Linux und Mac OS X hinzugefügt.
* Es ist jetzt möglich, die Fehlermeldung des HTML-Viewers mit der Datei error.json im Ordner startpage zu konfigurieren.
* Die neue API-Methode Engine.setData ermöglicht es, die Daten für eine einzelne Tabelle zu setzen, wenn der Bericht mehr als eine Tabelle enthält.
* Die Eigenschaft "newline" wird jetzt für den CSV- und DATA-Export unterstützt.
* Der Dialog für die HTML-Eingabeaufforderung wird im Internet Explorer 11 nicht geöffnet.

#### Geändertes Verhalten
* Die Formelfunktion "isNumeric" gibt jetzt bei der Java-Typ-Notation (Tailing d oder f) false zurück.
* PDF-Export: Der Schriftname enthält jetzt ein Leerzeichen zwischen Familienname und Stilname.
* RTF-Export: Bekannte Schriftarten werden den entsprechenden Zeichensätzen zugewiesen.
* Es ist nicht mehr erlaubt, Methoden der Klasse Object als benutzerdefinierte Funktionen in einer Formel zu verwenden.
* Ein Formelvergleich von = ergibt jetzt in jedem Fall Null, was mit der SQL-Konvertierung dieses Ausdrucks übereinstimmt.

### i-net Designer
* Zusätzlich zu benutzerdefinierten Funktionen (Java) werden nun auch benutzerdefinierte Konstanten im Formeleditor unterstützt.
* Mit Hilfe des Übersetzers ist es nun möglich, die Standardwertbeschreibung von hinzugefügten Parameterfeldern zu übersetzen.
* Voreingestellte Eigenschaften im i-net Designer werden nun auf die Felder in einer neuen Kreuztabelle angewendet.
* Formel-Editor: Funktion "Text in Formeln suchen" hinzugefügt. Sie kann über das Popup-Menü oder die Tastenkombination CTRL+T verwendet werden.
* Tastaturkürzel "CTRL+E" für "Formel ändern" zu einem Formelfeld hinzugefügt.
* Es wird unterstützt, die Anzahl der zuletzt geöffneten Dateien in der Liste der Designer-Optionen zu ändern.

### Konfigurations-Manager
* Neue Eigenschaften für den Datencache in der Kategorie "Cache".
* Neue Eigenschaft "Font Mapping" für Postscript Level 3 hinzugefügt.
* Neuer Kommandozeilenparameter "-client.ip" für die Standalone-Konfiguration auf dem Headless Server hinzugefügt.
* Anmeldetypen "LDAP-Server" und "PAM-Authentifizierung" hinzugefügt.
* Der Formeleditor verfügt nun über eine Textsuche, die mit Strg+F aufgerufen werden kann.

### Einrichtung
* Remote GUI Klassen aus der Datei ClearReports.jar in die neue Datei RemoteGUI.jar extrahiert.

### .Net Edition
* Jetzt gibt es nur noch ein Setup für die .Net Version des i-net Clear Reports Servers. Dieses Setup kombiniert die 32/64 Bit Version. Es unterstützt auch Windows 8 (.Net 4.0).
* Zxing JavaBean hinzugefügt.
* Windows 8 mit Microsoft .Net Framework 4.0 wird unterstützt. Es wird kein Popup zur Installation von Microsoft .Net Framework 3.5 mehr angezeigt.
* Postgres-Datenbanktreiber zum Setup hinzugefügt.
* Das Setup der i-net Clear Reports .Net Edition kann in Deutsch oder Englisch aufgerufen werden.
* Neue API-Methode Engine.SetData(String, Datatable) hinzugefügt.
* ASP.Net Proxy Beispiel hinzugefügt.

[bugfixes]
* Data export: If the report does not contain a record, then the exported .csv file will also contain no records, not even a blank record.
* Inconsistency between embedded fonts and system fonts has occurred in text interpretation HTML(Advanced) when exporting to a format with embedded fonts.
* In the HTML-based prompt dialog, entering a value and directly pressing enter instead of clicking on OK could cause the value to not be passed to the server.
* ReportReader & Crystal Reports 2011: 
  * Special Fields were noch red correctly. They were red as page count field.
  * Joins between tables where missing.
* Multiple problems with the latest version of ReportReaderStart and ReportReaderNET were fixed which could cause issues especially when reading report templates from older Crystal Reports versions.
* NullPointerException occurred, if some Mac OS X fonts with non-standard character mapping were used.
* Characters from a specific barcode font (Code128) could not be displayed correctly.
* Error "The value type of field unknownname: 'null' in group 0 is unknown" has occurred if a crosstab was used.
* SQLException: unsupported method call has occurred.
* RTF export: Additonal white spaces has been added to a long text, if the font was changed.
* Grouping on date field was not executed on database because the created SQL was wrong.
* Bug with Report Data Cache occurred. "Distinct" was ignored if the data was loaded from the cache.
* PHPProxy: gzip errors occurred.
* Unused formula fields were checked, if other formula fields or parameter fields are used in the record selection formula. Thus, a report may not be executed because of an invalid unused formula.
* NullPointerException occurred during deserialization of an Engine that has been rendered already.
* Column not found error occurred on DB2 database.
* Excel export: Not meaningful log message: "number of decimal places for integer format: x instead of 0" removed.
* A crosstab in a subreport could be incomplete if the property "Keep Together" was enabled for this subreport and the subreport did not fit on the page.
* Text export: Crosstab columns are not correctly positioned if the box drawing characters in the used font (for example MingLiu) have the double length. In this case the ASCII characters are used instead of box drawing characters.
* PDF export: Font color was used as background color of the next section.
* Excel export: NullPointerException occurred.
* Another NullPointerException occurred during the error handling of an NullPointerException.
* In the some cases the line/column index in formula error messages started at 0 instead of 1 as in the formula editor.
* Excel export: A crosstab cell was a single line although the original crosstab column label contained multiple lines.
* PDF export:
  * A blank subreport with enabled "Suppress if Blank" property could hide the following data.
  * An additional empty page was created because the property "Suppress if Blank" was enabled for a blank subreport.
* Excel export:
  * ArrayIndexOutOfBoundsException: 1 occurred.
  * ArrayIndexOutOfBoundsException: 129 >= 2 occurred.

### i-net Crystal-Clear - Java Viewer
* Images were blurred in the printout if Java viewer was running on Mac OS X.
* Attribut "Permissions" was missing in the manifest file of ReportViewer.jar. This is required since Java 7 update 45.
* ClassCastException occurred: de.centigrade.cezanne.swing.tabbedpane.p cannot be cast to com.inet.viewer.SwingReportView.
* If the Java report viewer was running at least with Java 7u65, then the printer properties dialog was not displayed after a click on the properties button in the print dialog.

### i-net Designer
* Subreport Link dialog: IllegalArgumentException occurred, after the property formula dialog was canceled.
* Formula Editor: F3 on shared variables in a main report or sub report formula has not found a reference in corresponding main or subreport report.
* Parameter Field Properties: value of property "Cascading Parent" was not saved correctly.
* If you do an undo or redo step in the designer then all JavaBeans that are not visible on the monitor lost it's settings. The Java Bean properties fall back to the default values.
* Translation: It was not possible to translate the manual field names of summary fields in the Chart Properties category "Data".
* ArrayIndexOutOfBoundsException occurred in JavaBean properties dialog if Java VM version 6 was used.
* The property "Description Field" in the "Dynamic(Field)" of the "Default Values" of the Parameter Field Properties dialog does not contain the fields of the same table as the property "Value Field".
* NullPointerException occurred during modification of field properties in an "ad hoc dataview".
* The image width in editor page was wrong. It has been corrected for best-fit scaling.
* Java Bean property formulas were evaluated in the design view.
* "Order by Summary" dialog: The "Summary Field" list box was empty after changing its value.
* "Sort Alphabetically" menu entry for database fields in Formula Editor has not worked correctly.
* It was not possible to set the value of the "Can Grow" property to 0 after it was set to another value.
* A disabled "Running Total" was not saved if "Evaluate - For Each Record" was enabled and "Reset - On change of" a field was enabled.

### Remote Designer
* Error with JavaBeans, e.g. JBarcodeBean, has occurred while a report template was opened for the first time in the remote designer of the report repository.
* Exception "Original string may not be null" occurred when saving a report that was opened from a repository within Remote Designer.
* Attribut "Permissions" was missing in the manifest file of the JNLPDesigner. This is required since Java 7 update 45.

### Scheduler
* The method ScheduleAction.isAttachReport() now returns true by default. The behavior matches up with the documentation.
* The scheduler does not open in Internet Explorer 11. 

### Ad Hoc Reporting
* Attribut "Permissions" was missing in the manifest file of adhoc reporting applet. This is required since Java 7 update 45.

### .Net Edition
* Remote i-net Designer of the .NET edition hangs when opening a report containing a Java Bean.

[bugfixes:de]
* Datenexport: Wenn der Bericht keinen Datensatz enthält, dann enthält die exportierte .csv-Datei auch keine Datensätze, nicht einmal einen leeren Datensatz.
* Bei der Textinterpretation HTML(Advanced) kam es beim Export in ein Format mit eingebetteten Schriftarten zu Inkonsistenzen zwischen eingebetteten Schriftarten und Systemschriftarten.
* Wenn Sie im HTML-basierten Eingabeaufforderungsdialog einen Wert eingeben und direkt die Eingabetaste drücken, anstatt auf OK zu klicken, wird der Wert möglicherweise nicht an den Server übertragen.
* ReportReader & Crystal Reports 2011:
  * Spezialfelder wurden noch korrekt rot dargestellt. Sie wurden als Seitenzahlfeld rot dargestellt.
  * Joins zwischen Tabellen fehlten.
* Mehrere Probleme mit der neuesten Version von ReportReaderStart und ReportReaderNET wurden behoben, die insbesondere beim Einlesen von Berichtsvorlagen aus älteren Crystal Reports Versionen zu Problemen führen konnten.
* NullPointerException trat auf, wenn einige Mac OS X-Schriften mit nicht standardmäßiger Zeichenzuordnung verwendet wurden.
* Zeichen aus einer bestimmten Barcode-Schriftart (Code128) konnten nicht korrekt angezeigt werden.
* Der Fehler "Der Wertetyp des Feldes unknownname: 'null' in Gruppe 0 ist unbekannt" ist aufgetreten, wenn eine Kreuztabelle verwendet wurde.
* SQLException: Es ist ein nicht unterstützter Methodenaufruf aufgetreten.
* RTF-Export: Es wurden zusätzliche Leerzeichen zu einem langen Text hinzugefügt, wenn die Schriftart geändert wurde.
* Gruppierung auf Datumsfeld wurde in der Datenbank nicht ausgeführt, da das erstellte SQL falsch war.
* Es trat ein Fehler im Report Data Cache auf. "Distinct" wurde ignoriert, wenn die Daten aus dem Cache geladen wurden.
* PHPProxy: Es traten gzip-Fehler auf.
* Unbenutzte Formelfelder wurden überprüft, wenn andere Formelfelder oder Parameterfelder in der Datensatzauswahlformel verwendet werden. Dadurch kann es vorkommen, dass ein Bericht wegen einer ungültigen unbenutzten Formel nicht ausgeführt werden kann.
* NullPointerException trat bei der Deserialisierung einer Engine auf, die bereits gerendert wurde.
* In der DB2-Datenbank ist der Fehler "Spalte nicht gefunden" aufgetreten.
* Excel-Export: Nicht aussagekräftige Log-Meldung: "Anzahl der Dezimalstellen bei Ganzzahlformat: x statt 0" entfernt.
* Eine Kreuztabelle in einem Unterbericht konnte unvollständig sein, wenn die Eigenschaft "Zusammenhalten" für diesen Unterbericht aktiviert war und der Unterbericht nicht auf die Seite passte.
* Text-Export: Kreuztabellenspalten werden nicht korrekt positioniert, wenn die Zeichen in der verwendeten Schriftart (z.B. MingLiu) die doppelte Länge haben. In diesem Fall werden die ASCII-Zeichen anstelle der Box-Zeichen verwendet.
* PDF-Export: Die Schriftfarbe wurde als Hintergrundfarbe für den nächsten Abschnitt verwendet.
* Excel-Export: NullPointerException aufgetreten.
* Eine weitere NullPointerException trat bei der Fehlerbehandlung einer NullPointerException auf.
* In einigen Fällen begann der Zeilen-/Spaltenindex in Formelfehlermeldungen bei 0 statt bei 1 wie im Formeleditor.
* Excel-Export: Eine Kreuztabellenzelle war eine einzelne Zeile, obwohl die ursprüngliche Kreuztabellen-Spaltenbeschriftung mehrere Zeilen enthielt.
* PDF-Export:
  * Ein leerer Teilbericht mit aktivierter "Suppress if Blank"-Eigenschaft konnte die folgenden Daten ausblenden.
  * Eine zusätzliche leere Seite wurde erstellt, weil die Eigenschaft "Unterdrücken, wenn leer" für einen leeren Unterbericht aktiviert war.
* Excel-Export:
  * ArrayIndexOutOfBoundsException: 1 aufgetreten.
  * ArrayIndexOutOfBoundsException: 129 >= 2 aufgetreten.

### i-net Crystal-Clear - Java Viewer
* Wenn der Java-Viewer unter Mac OS X ausgeführt wurde, waren die Bilder auf dem Ausdruck unscharf.
* Das Attribut "Permissions" fehlte in der Manifestdatei von ReportViewer.jar. Dies ist seit Java 7 Update 45 erforderlich.
* ClassCastException aufgetreten: de.centigrade.cezanne.swing.tabbedpane.p kann nicht auf com.inet.viewer.SwingReportView gecastet werden.
* Wenn der Java-Report-Viewer mindestens mit Java 7u65 lief, dann wurde der Druckereigenschaften-Dialog nach einem Klick auf die Eigenschaften-Schaltfläche im Druckdialog nicht angezeigt.

### i-net Designer
* Subreport Link-Dialog: IllegalArgumentException trat auf, nachdem der Eigenschaftsformeldialog abgebrochen wurde.
* Formel-Editor: F3 auf gemeinsam genutzte Variablen in einer Haupt- oder Unterberichtsformel hat keinen Verweis im entsprechenden Haupt- oder Unterberichtsbericht gefunden.
* Parameterfeld-Eigenschaften: Der Wert der Eigenschaft "Cascading Parent" wurde nicht korrekt gespeichert.
* Wenn Sie einen Rückgängig- oder Wiederherstellungsschritt im Designer durchführen, dann haben alle JavaBeans, die nicht auf dem Monitor sichtbar sind, ihre Einstellungen verloren. Die JavaBean-Eigenschaften werden auf die Standardwerte zurückgesetzt.
* Übersetzung: Es war nicht möglich, die manuellen Feldnamen von Übersichtsfeldern in der Diagrammeigenschaften-Kategorie "Daten" zu übersetzen.
* ArrayIndexOutOfBoundsException trat im JavaBean-Eigenschaften-Dialog auf, wenn Java VM Version 6 verwendet wurde.
* Die Eigenschaft "Description Field" in der "Dynamic(Field)" der "Default Values" des Parameter Field Properties Dialogs enthält nicht die Felder der gleichen Tabelle wie die Eigenschaft "Value Field".
* NullPointerException trat bei der Änderung von Feldeigenschaften in einer "Ad-hoc-Datenansicht" auf.
* Die Bildbreite in der Editor-Seite war falsch. Sie wurde für die bestmögliche Skalierung korrigiert.
* Java Bean-Eigenschaftsformeln wurden in der Entwurfsansicht ausgewertet.
* dialog "Sortieren nach Zusammenfassung": Das Listenfeld "Zusammenfassungsfeld" war nach dem Ändern des Wertes leer.
* der Menüeintrag "Alphabetisch sortieren" für Datenbankfelder im Formeleditor hat nicht korrekt funktioniert.
* Es war nicht möglich, den Wert der Eigenschaft "Kann wachsen" auf 0 zu setzen, nachdem er auf einen anderen Wert gesetzt wurde.
* Eine deaktivierte "Laufende Summe" wurde nicht gespeichert, wenn "Auswerten - Für jeden Datensatz" und "Zurücksetzen - Bei Änderung" eines Feldes aktiviert war.

### Remote Designer
* Fehler mit JavaBeans, z.B. JBarcodeBean, ist aufgetreten, während eine Berichtsvorlage zum ersten Mal im Remote-Designer des Berichts-Repositorys geöffnet wurde.
* Beim Speichern eines Berichts, der aus einem Repository im Remote Designer geöffnet wurde, trat die Exception "Original string may not be null" auf.
* In der Manifestdatei des JNLPDesigners fehlte das Attribut "Permissions". Dies ist seit Java 7 Update 45 erforderlich.

### Scheduler
* Die Methode ScheduleAction.isAttachReport() gibt nun standardmäßig true zurück. Das Verhalten stimmt mit der Dokumentation überein.
* Der Scheduler wird im Internet Explorer 11 nicht geöffnet.

### Ad Hoc Reporting
* Das Attribut "Permissions" fehlte in der Manifestdatei des Adhoc Reporting Applets. Dies ist seit Java 7 Update 45 erforderlich.

### .Net-Ausgabe
* Der Remote i-net Designer der .NET Edition bleibt beim Öffnen eines Berichts, der eine Java Bean enthält, hängen.

[security]

[security:de]
